# Class WebResponse<T>

java.lang.Object
com.ryanharter.auto.value.gson.example.WebResponse<T>

public abstract class WebResponse<T> extends Object

## Constructor Summary

Constructors
Constructor
Description
`WebResponse()`

## Method Summary

Modifier and Type
Method
Description
`abstract T`
`data()`
`abstract List<T>`
`dataList()`
`abstract Map<String,List<T>>`
`dataMap()`
`abstract int`
`status()`
`static <T> com.google.gson.TypeAdapter<WebResponse<T>>`
`typeAdapter(com.google.gson.Gson gson, Type[] types)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WebResponse

public WebResponse()

## Method Details

### status

public abstract int status()

### data

public abstract T data()

### dataList

public abstract List<T> dataList()

### dataMap

public abstract Map<String,List<T>> dataMap()

### typeAdapter

public static <T> com.google.gson.TypeAdapter<WebResponse<T>> typeAdapter(com.google.gson.Gson gson, Type[] types)